curl --request POST \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/not-paying \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason_id": 7,
"other": "I need more documentation"
}
'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/not-paying"
payload = {
"reason_id": 7,
"other": "I need more documentation"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason_id: 7, other: 'I need more documentation'})
};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/notice-response/not-paying', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"account": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"dob": "2023-12-25",
"last4ssn": "1234",
"company_id": 123,
"status": "joined",
"status_label": "Ready to Negotiate"
},
"completed_steps": [
"sender_details",
"account_details"
],
"steps": [
{
"label": "Sender Details",
"completed": true,
"current": true
}
],
"response_options": {
"negotiation_types": [
{
"value": "pif",
"label": "Settlement"
},
{
"value": "installment",
"label": "Payment Plan"
}
],
"installment_types": [
{
"value": "weekly",
"label": "Weekly"
},
{
"value": "bimonthly",
"label": "Bimonthly"
},
{
"value": "monthly",
"label": "Monthly"
}
],
"custom_offer_reasons": [
"Prefer not to say",
"UnEmployed",
"Death in the Family",
"Unexpected Expenses"
]
},
"sender_detail": {
"id": 123,
"sender": {
"id": 123,
"company_name": "Acme Collections",
"company_phone": "(900) 509-1111",
"company_email": "jsmith@example.com",
"company_address1": "<string>",
"company_address2": "<string>",
"company_city": "<string>",
"company_state": "<string>",
"company_zip": "<string>",
"company_url": "<string>"
}
},
"notice_response": {
"id": 123,
"account_name": "<string>",
"account_number": "<string>",
"notice_balance": "425.50",
"status": 123,
"status_label": "<string>",
"reason_label": "<string>",
"file_path": "notice-responses/123/notice.jpg",
"file_url": "<string>",
"has_notice_photo": true,
"custom_offer": {
"amount": "125.00",
"first_pay_date": "2023-12-25",
"reason": "<string>",
"note": "<string>"
}
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}{
"message": "<string>",
"errors": {}
}Submit not paying response
Submit or update the create-response step with a no-pay reason or dispute reason. Pending notice responses can be updated until the creditor has joined/attached the account. If the selected reason label is Dispute - this is not my account, the notice response status becomes disputed and no reason id is stored. If other is supplied, the backend creates a non-system reason and stores that new reason id.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Body
Reason id from GET /accounts/not-paying-reasons. If the reason label is Dispute - this is not my account, the response is stored as disputed and reason_id is cleared.
7
Optional custom reason label. When supplied, the backend creates a non-system reason and stores that new reason id.
255"I need more documentation"
Was this page helpful?

